Subject: Re: bug#38966: 27.0.60; Assertion failure in set_cursor_from_row

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jan 2020 19:48:00 +0200

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 7 Jan 2020 18:38:54 +0100
> 
> With my test-popup-2 code you can make the lower window one line high,
> hit F2 and get a window without text and cursor.

I seem to be unable to do that, so please show detailed instructions
starting from "emacs -Q".  What I get here is a very thin single line
of text, where I still see the cursor (partially) and can type text.

> Which means that the display code (inadvertently maybe) already does
> produce and handle windows with zero lines of text.

Maybe so, but that is just by sheer luck, AFAICT.

> I still don't understand why you thought I was angry when I reported
> that behavior.

If I was mistaken, again, apologies.